import type { Booleanish, ColorVariant } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    animation: {
        type: StringConstructor;
        required: false;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: null;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: null;
        required: false;
        default: boolean;
    };
    variant: {
        type: null;
        required: false;
    };
    size: {
        type: StringConstructor;
        required: false;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
    footerWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    headerWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    cellWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    headerColumns: {
        type: NumberConstructor;
        required: false;
    };
    footerColumns: {
        type: NumberConstructor;
        required: false;
    };
}, {
    props: {
        animation?: "glow" | "wave" | undefined;
        columns: number;
        hideHeader: Booleanish;
        rows: number;
        showFooter: Booleanish;
        variant?: ColorVariant | undefined;
        size?: "sm" | "lg" | "xs" | undefined;
        tableProps?: Record<string, unknown> | undefined;
        footerWidth: string | number;
        headerWidth: string | number;
        cellWidth: string | number;
        headerColumns?: number | undefined;
        footerColumns?: number | undefined;
    };
    placeholderAttrs: import("vue").ComputedRef<{
        size: "sm" | "lg" | "xs" | undefined;
        variant: ColorVariant | undefined;
        animation: "glow" | "wave" | undefined;
    }>;
    hideHeaderBoolean: import("vue").ComputedRef<boolean>;
    showFooterBoolean: import("vue").ComputedRef<boolean>;
    BTableSimple: import("vue").DefineComponent<{
        bordered: {
            type: null;
            required: false;
            default: boolean;
        };
        borderless: {
            type: null;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: null;
            required: false;
            default: boolean;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        hover: {
            type: null;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: null;
            required: false;
            default: boolean;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: null;
            required: false;
        };
        tableVariant: {
            type: null;
            required: false;
        };
        stickyHeader: {
            type: null;
            required: false;
            default: boolean;
        };
    }, {
        props: {
            bordered: Booleanish;
            borderless: Booleanish;
            borderVariant?: ColorVariant | undefined;
            captionTop: Booleanish;
            dark: Booleanish;
            hover: Booleanish;
            responsive: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            stacked: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            striped: Booleanish;
            small: Booleanish;
            tableClass?: import("../../types/ClassValue").default | undefined;
            tableVariant?: ColorVariant | undefined;
            stickyHeader: Booleanish;
        };
        captionTopBoolean: import("vue").ComputedRef<boolean>;
        borderlessBoolean: import("vue").ComputedRef<boolean>;
        borderedBoolean: import("vue").ComputedRef<boolean>;
        darkBoolean: import("vue").ComputedRef<boolean>;
        hoverBoolean: import("vue").ComputedRef<boolean>;
        smallBoolean: import("vue").ComputedRef<boolean>;
        stripedBoolean: import("vue").ComputedRef<boolean>;
        stickyHeaderBoolean: import("vue").ComputedRef<boolean>;
        classes: import("vue").ComputedRef<(import("../../types/ClassValue").default | undefined)[]>;
        responsiveClasses: import("vue").ComputedRef<{
            [x: string]: boolean;
            'table-responsive': boolean;
            'b-table-sticky-header': boolean;
        }[]>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        bordered: {
            type: null;
            required: false;
            default: boolean;
        };
        borderless: {
            type: null;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: null;
            required: false;
            default: boolean;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        hover: {
            type: null;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: null;
            required: false;
            default: boolean;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: null;
            required: false;
        };
        tableVariant: {
            type: null;
            required: false;
        };
        stickyHeader: {
            type: null;
            required: false;
            default: boolean;
        };
    }>>, {
        small: any;
        dark: any;
        stacked: string | boolean;
        bordered: any;
        borderless: any;
        captionTop: any;
        hover: any;
        responsive: string | boolean;
        striped: any;
        stickyHeader: any;
    }>;
    BPlaceholder: import("vue").DefineComponent<{
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
        };
        cols: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
        };
        variant: {
            type: null;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: StringConstructor;
            required: false;
        };
    }, {
        props: {
            tag: string;
            width?: string | number | undefined;
            cols?: string | number | undefined;
            variant?: ColorVariant | undefined;
            size?: "sm" | "lg" | "xs" | undefined;
            animation?: "glow" | "wave" | undefined;
        };
        widthString: import("vue").ComputedRef<string | undefined>;
        colsString: import("vue").ComputedRef<string | undefined>;
        classes: import("vue").ComputedRef<{
            [x: string]: boolean;
        }>;
        computedStyle: import("vue").ComputedRef<import("vue").StyleValue | undefined>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
        };
        cols: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
        };
        variant: {
            type: null;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: StringConstructor;
            required: false;
        };
    }>>, {
        tag: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    animation: {
        type: StringConstructor;
        required: false;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: null;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: null;
        required: false;
        default: boolean;
    };
    variant: {
        type: null;
        required: false;
    };
    size: {
        type: StringConstructor;
        required: false;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
    footerWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    headerWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    cellWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    headerColumns: {
        type: NumberConstructor;
        required: false;
    };
    footerColumns: {
        type: NumberConstructor;
        required: false;
    };
}>>, {
    columns: number;
    rows: number;
    hideHeader: any;
    headerWidth: string | number;
    footerWidth: string | number;
    showFooter: any;
    cellWidth: string | number;
}>;
export default _sfc_main;
